gtResult-class {PCpheno} | R Documentation

## A class for representing the result of a graphTheory test.

### Description

A class for representing the result of a `graphTheory` test.

### Slots

`Pvalue`:
  Object of class `"numeric"`
`Observed`:
  Return a `"numeric"` vector: the observed number of interactions between genes inducing a specific phenotype and each cellular organizational units
`Expected`:
  Return a matrix: the expected number of interactions between genes inducing a specific phenotype and each cellular organizational units

### Extends

Class `"testResult"`, directly.

### Methods

`plot`
  Graphical representation of the test result

### Author(s)

N. LeMeur

### See Also

`testResult`,`deResult`,`plot`

### Examples

    ## apply a densityEstimate test
    data(DudleyPhenoM)
    data(ScISIC)

    DudleyPhenoL <- apply(DudleyPhenoM,2,function(x) names(which(x==1)))
    NaCl <- DudleyPhenoL[["NaCl"]]

    perm <- 20
    NaClGraph <- graphTheory(genename=NaCl, interactome=ScISIC,
    perm=perm)

    ## access results
    slotNames(NaClGraph)
    NaClGraph@Pvalue[1:5]

    ## use of the plot method
    plot(NaClGraph)

[Package PCpheno version 1.6.0 Index]